<?php

namespace Litecms\BusCategory;

use User;

class BusCategory
{
    /**
     * $bus_category object.
     */
    protected $bus_category;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\BusCategory\Interfaces\BusCategoryRepositoryInterface $bus_category)
    {
        $this->bus_category = $bus_category;
    }

    /**
     * Returns count of bus_category.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.bus_category.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->bus_category->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\BusCategoryUserCriteria());
        }

        $bus_category = $this->bus_category->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('bus_category::' . $view, compact('bus_category'))->render();
    }
}
