<?php

namespace Litecms\BusCategory\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BusCategoryTransformer extends TransformerAbstract
{
    public function transform(\Litecms\BusCategory\Models\BusCategory $bus_category)
    {
        return [
            'id'                => $bus_category->getRouteKey(),
            'key'               => [
                'public'    => $bus_category->getPublicKey(),
                'route'     => $bus_category->getRouteKey(),
            ], 
            'name'              => $bus_category->name,
            'status'            => $bus_category->status,
            'url'               => [
                'public'    => trans_url('bus_category/'.$bus_category->getPublicKey()),
                'user'      => guard_url('bus_category/bus_category/'.$bus_category->getRouteKey()),
            ], 
            'status'            => trans('app.'.$bus_category->status),
            'created_at'        => format_date($bus_category->created_at),
            'updated_at'        => format_date($bus_category->updated_at),
        ];
    }
}